Read the assistant conversation
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/assistant \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/assistant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/assistant"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"proposal": {
"type": "create_webhook",
"summary": "<string>",
"args": {},
"steps": [
{
"resource": "webhooks",
"method": "POST",
"id": "<string>",
"body": {},
"mergeDataset": "<string>",
"label": "<string>"
}
]
},
"proposal_status": "pending",
"draft": {
"kind": "create_webhook",
"status": "active",
"pending": "name",
"question": {
"field": "<string>",
"prompt": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"allowSkip": true
},
"collected": [
{
"label": "<string>",
"value": "<string>"
}
]
},
"created_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Assistant
Read the assistant conversation
GET
/
admin
/
api
/
projects
/
{project_id}
/
assistant
Read the assistant conversation
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/assistant \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/assistant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/assistant"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"proposal": {
"type": "create_webhook",
"summary": "<string>",
"args": {},
"steps": [
{
"resource": "webhooks",
"method": "POST",
"id": "<string>",
"body": {},
"mergeDataset": "<string>",
"label": "<string>"
}
]
},
"proposal_status": "pending",
"draft": {
"kind": "create_webhook",
"status": "active",
"pending": "name",
"question": {
"field": "<string>",
"prompt": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"allowSkip": true
},
"collected": [
{
"label": "<string>",
"value": "<string>"
}
]
},
"created_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Response
The last 12 messages (oldest first) of the thread scoped to this (tenant, project, signed-in user). There is no pagination and no way to read another user's thread.
Show child attributes
Show child attributes